Bug 599021 - (CVE-2010-2060) CVE-2010-2060 Beanstalkd (prior v1.4.6): Improper sanitization of job body (job payload data)
CVE-2010-2060 Beanstalkd (prior v1.4.6): Improper sanitization of job body (j...
Status: CLOSED CURRENTRELEASE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
http://kr.github.com/beanstalkd/2010/...
impact=important,source=gentoo,report...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 10:28 EDT by Jan Lieskovsky
Modified: 2012-03-23 14:25 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-31 13:48:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2010-06-02 10:28:50 EDT
Graham Barr reported that beanstalkd v1.4.5 and earlier, improperly
sanitized job data, sent together with put command from client.
A remote attacker, providing a specially-crafted job data in request,
could use this flaw to bypass intended beanstalk client commands
dispatch mechanism, leading to unauthorized execution of beanstalk
client commands.

References:
  [1] http://kr.github.com/beanstalkd/2010/05/23/1.4.6-release-notes.html

Upstream changeset:
  [2] http://github.com/kr/beanstalkd/commit/2e8e8c6387ecdf5923dfc4d7718d18eba1b0873d

CVE Request:
  [3] http://www.openwall.com/lists/oss-security/2010/06/02/4
Comment 1 Jan Lieskovsky 2010-06-02 10:30:33 EDT
This issue affects the versions of the beanstalkd package, 
as shipped with Fedora release of 11, 12, and 13.

This issue affects the version of the beanstalkd package,
as present within EPEL-5 repository.

Please fix.
Comment 2 Fedora Update System 2010-06-05 18:48:28 EDT
beanstalkd-1.4.6-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/beanstalkd-1.4.6-1.fc13
Comment 3 Fedora Update System 2010-06-05 18:48:38 EDT
beanstalkd-1.4.6-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/beanstalkd-1.4.6-1.fc12
Comment 4 Fedora Update System 2010-06-05 18:48:46 EDT
beanstalkd-1.4.6-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/beanstalkd-1.4.6-1.el5
Comment 5 Jan Lieskovsky 2010-06-07 07:46:24 EDT
This is CVE-2010-2060.
Comment 6 Fedora Update System 2010-06-21 17:35:06 EDT
beanstalkd-1.4.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2010-06-21 17:47:40 EDT
beanstalkd-1.4.6-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2010-06-21 21:11:03 EDT
beanstalkd-1.4.6-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Jeremy Hinegardner 2010-10-31 13:48:24 EDT
I believe this should have been marked as closed, doing so.

Note You need to log in before you can comment on or make changes to this bug.